import { GaiaHubConfig } from '../storage/hub';
import { UserData } from './authApp';
declare type EtagMap = {
    [key: string]: string;
};
export interface SessionOptions {
    coreNode?: string;
    userData?: UserData;
    transitKey?: string;
    etags?: EtagMap;
    localStorageKey?: string;
    storeOptions?: {
        localStorageKey?: string;
    };
}
/**
 * @ignore
 */
export declare class SessionData {
    version: string;
    transitKey?: string;
    userData?: UserData;
    etags?: EtagMap;
    constructor(options: SessionOptions);
    getGaiaHubConfig(): GaiaHubConfig;
    setGaiaHubConfig(config: GaiaHubConfig): void;
    static fromJSON(json: any): SessionData;
    toString(): string;
}
export {};
